<?php

if (!defined("PHPWG_ROOT_PATH")) {
    die ("Hacking attempt!");
}
check_status(ACCESS_ADMINISTRATOR);

define('PEM_URL', 'http://' . PHPWG_DOMAIN . '/ext');

include_once(PHPWG_ROOT_PATH . 'admin/include/functions_tabsheet.inc.php');
include_once(PLUGINSMANAGER_PATH . 'include/plugins.class.php');
include_once(get_language_filepath('plugin.lang.php', PLUGINSMANAGER_PATH));

$base_url = PHPWG_ROOT_PATH . 'admin.php?page=plugins';

$plugins = new plugins();

//--------------------------------------------------------------------Tabsheet
if (!isset($_GET['tab'])) 
	$page['tab'] = 'list';
else
	$page['tab'] = $_GET['tab'];

$page['tabsheet'] = array
('list' => array
    ('caption' => l10n('pm_tab_list'),
        'url' => $base_url. '&amp;tab=list',
        ),
    'update' => array
    ('caption' => l10n('pm_tab_update'),
        'url' => $base_url. '&amp;tab=update',
        ),
    'new' => array
    ('caption' => l10n('pm_tab_new'),
        'url' => $base_url. '&amp;tab=new',
        ));
$page['tabsheet'][$page['tab']]['selected'] = true;
template_assign_tabsheet();

$base_url .= '&tab=' . $page['tab'];

include_once (PLUGINSMANAGER_PATH . 'plugins_' . $page['tab'] . '.php');

$template->assign_var_from_handle('ADMIN_CONTENT', 'plugins');

?>